> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List automatic report settings and provision the platform defaults



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/statistics get /analytics/settings/automatic-reports
openapi: 3.0.0
info:
  title: statistics
  version: 44efd88c5f14f4c3ad43726185fe340ffc0152ec
  description: >-
    # Errors

    | Error code | Message | HTTP status code | Payload |

    | :--- | :--- | :--- | :--- |

    |
    9000,9001,9002,9003,9004,9006,9007,9008,9009,9010,9011,9012,9013,9014,9015,9016,9018,9019,9020,9021,9022,9023,9024,9025,9026,9027,9028,9029,9030,9031,9032,9033,9034
    | A tag key with this name already exists | 409 | ```{"name":"string"}``` |
servers:
  - url: https://api.reelevant.com/v2/statistics/
    description: production
security: []
paths:
  /analytics/settings/automatic-reports:
    get:
      tags:
        - AnalyticsSettings
      summary: List automatic report settings and provision the platform defaults
      operationId: list-automatic-report-settings
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Array_Intersection_definition_Intersection_Omit_prompt_Intersection_Omit_updatedBy_Union_undefined_Intersection_Omit_userId_Union_undefined_string_id_string_companyId_string_resourceGroupIds_Array_string_createdAt_Date_updatedAt_Date_Omit
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_Intersection_definition_Intersection_Omit_prompt_Intersection_Omit_updatedBy_Union_undefined_Intersection_Omit_userId_Union_undefined_string_id_string_companyId_string_resourceGroupIds_Array_string_createdAt_Date_updatedAt_Date_Omit:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            allOf:
              - type: object
                properties:
                  definition:
                    allOf:
                      - $ref: >-
                          #/components/schemas/AutomaticReportDefinition_Without_Prompt
                      - type: object
                        properties:
                          prompt:
                            allOf:
                              - $ref: >-
                                  #/components/schemas/AutomaticReportPromptDefinition_Without_UpdatedBy
                              - type: object
                                properties:
                                  updatedBy:
                                    allOf:
                                      - $ref: >-
                                          #/components/schemas/AnalysisReportActor_Without_UserId
                                      - type: object
                                        properties:
                                          userId:
                                            type: string
                                        additionalProperties: false
                                additionalProperties: false
                        required:
                          - prompt
                        additionalProperties: false
                required:
                  - definition
                additionalProperties: false
              - type: object
                properties:
                  id:
                    type: string
                    readOnly: true
                  companyId:
                    type: string
                    readOnly: true
                  resourceGroupIds:
                    type: array
                    items:
                      type: string
                  createdAt:
                    type: string
                    format: date-time
                    readOnly: true
                  updatedAt:
                    type: string
                    format: date-time
                    readOnly: true
                required:
                  - id
                  - companyId
                  - resourceGroupIds
                  - createdAt
                  - updatedAt
                additionalProperties: false
              - $ref: >-
                  #/components/schemas/AnalyticsSettingsDocument_Without_CompanyId_Serialize__id_ResourceGroupIds_ToJSON
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    AutomaticReportDefinition_Without_Prompt:
      type: object
      properties:
        title:
          type: string
        slug:
          type: string
        cadence:
          $ref: '#/components/schemas/AnalysisReportCadence'
        description:
          type: string
        enabled:
          type: boolean
        timezone:
          type: string
        locale:
          type: string
        nextRunAt:
          type: string
          format: date-time
      required:
        - title
        - slug
        - cadence
        - enabled
        - timezone
        - locale
      additionalProperties: false
    AutomaticReportPromptDefinition_Without_UpdatedBy:
      type: object
      properties:
        updatedAt:
          type: string
          format: date-time
        source:
          $ref: '#/components/schemas/AnalysisReportPromptSource'
        templateKey:
          type: string
        defaultVersion:
          type: number
        revision:
          type: number
        overrideText:
          type: string
      required:
        - source
        - templateKey
        - defaultVersion
        - revision
      additionalProperties: false
    AnalysisReportActor_Without_UserId:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AnalysisReportActorType'
      required:
        - type
      additionalProperties: false
    AnalyticsSettingsDocument_Without_CompanyId_Serialize__id_ResourceGroupIds_ToJSON:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        type:
          $ref: '#/components/schemas/AnalyticsSettingsType'
        id:
          type: string
      required:
        - type
        - id
      additionalProperties: false
    AnalysisReportCadence:
      type: string
      enum:
        - monthly
        - quarterly
        - yearly
    AnalysisReportPromptSource:
      type: string
      enum:
        - platform-default
        - company-custom
    AnalysisReportActorType:
      type: string
      enum:
        - user
        - platform
        - unknown
    AnalyticsSettingsType:
      type: string
      enum:
        - Tag
        - Attribution
        - Reporting
        - AutomaticReport
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v2/auth/token
          refreshUrl: https://api.reelevant.com/v2/auth/token
          scopes: {}

````